from ctypes import *
import os
import sys
import time
from time import sleep


COMPORT = "COM256"

tpdll = None

if os.name == 'nt':
	tpdll = windll.LoadLibrary("TPDLL.dll")
	COMPORT = "COM256"
else:
	tpdll = cdll.LoadLibrary("libtpdll.so")
	COMPORT = "/dev/ttyUSB0"
	
tpdll_last_error_msg = tpdll.tpdll_last_error_msg
tpdll_last_error_msg.restype = c_char_p

def printcfe(path, logo):
	try:
		f = open(path)
		f.close()
		if logo is not None:
			ret = tpdll.tpdll_imprime_cfe_sat_arq_logo(c_char_p(COMPORT), c_char_p(path), c_char_p(logo))
		else:
			ret = tpdll.tpdll_imprime_cfe_sat_arq(c_char_p(COMPORT), c_char_p(path))
		err = ""
		if (ret != 0):
			err = tpdll_last_error_msg()
		print path + ": " + str(ret) + " [" + err + "]"
	except Exception as e:
		print e,str(e) 
		pass

	

	
		
if __name__ == '__main__':
	if len(sys.argv) < 2:
		print 'USO: %s arquivo.xml [arquivo.bmp]' % sys.argv[0]
		exit(0)
	if len(sys.argv) == 3:
		printcfe(sys.argv[1],sys.argv[2])
	else:
		printcfe(sys.argv[1],None)